plugins {
    id 'com.android.library'
    id 'org.jetbrains.kotlin.android'
//    id 'kotlin-parcelize'
    id 'kotlin-android'
//    id 'kotlin-android-extensions'
}
apply plugin: 'kotlin-kapt'
apply plugin: 'kotlin-android-extensions'
android {
    compileSdk 30

    defaultConfig {

        minSdk 21
        targetSdk 30
        versionCode 1
        versionName "1.0"

        testInstrumentationRunner "androidx.test.runner.AndroidJUnitRunner"
    }

    buildTypes {
        release {
            minifyEnabled false
            proguardFiles getDefaultProguardFile('proguard-android-optimize.txt'), 'proguard-rules.pro'
            buildConfigField "String", "BASE_SERVER_URL", RELEASE_BASE_URL
            buildConfigField "String", "BASE_URL_H5", RELEASE_BASE_URL_H5
            buildConfigField "String", "BASE_URL_H5_STUDENT", RELEASE_BASE_URL_H5_STUDENT
        }

        debug {
            minifyEnabled false
            proguardFiles getDefaultProguardFile('proguard-android-optimize.txt'), 'proguard-rules.pro'
            buildConfigField "String", "BASE_SERVER_URL", TEST_BASE_URL
            buildConfigField "String", "BASE_URL_H5", TEST_BASE_URL_H5
            buildConfigField "String", "BASE_URL_H5_STUDENT", TEST_BASE_URL_H5_STUDENT
        }
    }
    compileOptions {
        sourceCompatibility JavaVersion.VERSION_1_8
        targetCompatibility JavaVersion.VERSION_1_8
    }
    kotlinOptions {
        jvmTarget = '1.8'
    }
    buildFeatures {
        viewBinding = true
    }

    sourceSets {
        main {
            jniLibs.srcDirs = ['libs']
        }
    }
}

kapt {
    arguments {
        arg("AROUTER_MODULE_NAME", project.getName())
    }
}

dependencies {
    api fileTree(dir: 'libs', include: ['*.jar', '*.aar'])
    testImplementation 'junit:junit:4.13.2'
    androidTestImplementation 'androidx.test.ext:junit:1.1.3'
    androidTestImplementation 'androidx.test.espresso:espresso-core:3.4.0'
    implementation 'androidx.core:core-ktx:1.6.0'
    implementation 'androidx.appcompat:appcompat:1.3.0'
    implementation 'androidx.constraintlayout:constraintlayout:2.0.1'

    //kotlin
    api 'org.jetbrains.kotlinx:kotlinx-coroutines-android:1.3.1'
    api "org.jetbrains.kotlin:kotlin-stdlib-jdk7:$rootProject.ext.android.kotlin_version"
    api "org.jetbrains.kotlinx:kotlinx-coroutines-core:1.3.8"


    //recyclerview
    implementation("androidx.recyclerview:recyclerview:1.2.1")
    // For control over item selection of both touch and mouse driven selection
    implementation("androidx.recyclerview:recyclerview-selection:1.1.0")

    implementation 'com.alibaba:arouter-api:1.5.2'
    kapt 'com.alibaba:arouter-compiler:1.5.2'


    //RxLifecycle
    api 'com.trello.rxlifecycle4:rxlifecycle-android-lifecycle-kotlin:4.0.2'
    api 'com.trello.rxlifecycle4:rxlifecycle-components:4.0.2'

    //Glide
//    implementation "com.github.bumptech.glide:glide:$glide_version"

    api "com.github.bumptech.glide:glide:$rootProject.ext.android.glide_version"
    kapt "com.github.bumptech.glide:compiler:$rootProject.ext.android.glide_version"
    //Banner
    api 'io.github.youth5201314:banner:2.2.2'

    // BottomNavigation
    api 'com.ashokvarma.android:bottom-navigation-bar:2.2.0'
//    implementation("io.reactivex.rxjava3:rxkotlin:3.x.y")
//    // RxKotlin and RxAndroid
////    implementation "io.reactivex:rxkotlin:$rx_kotlin_version"
//    implementation 'com.github.ReactiveX:RxKotlin:3.x-SNAPSHOT'

//    compile "io.reactivex:rxkotlin:$rx_kotlin_version"
    implementation("io.reactivex.rxjava3:rxkotlin:3.0.0")
//    compile "io.reactivex:rxandroid:${rx_android_version}"
    implementation 'io.reactivex.rxjava3:rxandroid:3.0.0'
    // Because RxAndroid releases are few and far between, it is recommended you also
    // explicitly depend on RxJava's latest version for bug fixes and new features.
    // (see https://github.com/ReactiveX/RxJava/releases for latest 3.x.x version)
    implementation 'io.reactivex.rxjava3:rxjava:3.0.0'
    //Retrofit
    api("com.squareup.okhttp3:okhttp:$rootProject.ext.android.ok_http_version")
    api "com.squareup.okhttp3:logging-interceptor:$rootProject.ext.android.ok_http_version"

    api "com.squareup.retrofit2:retrofit:$rootProject.ext.android.retrofit_version"
    api "com.squareup.retrofit2:converter-gson:$rootProject.ext.android.retrofit_version"
    api "com.squareup.retrofit2:adapter-rxjava:$rootProject.ext.android.retrofit_version"
    api "com.squareup.retrofit2:adapter-rxjava3:2.9.0"

    //MulitStateView
    api "com.github.Kennyc1012:MultiStateView:$rootProject.ext.android.multi_state_view_version"
    api "com.alibaba:arouter-api:$rootProject.ext.android.arouter_api_version"
    kapt "com.alibaba:arouter-compiler:$rootProject.ext.android.arouter_api_version"

    api "com.haibin:calendarview:3.7.1"

    api 'com.github.CymChad:BaseRecyclerViewAdapterHelper:3.0.7'
    api 'com.contrarywind:Android-PickerView:4.1.9'

    api 'io.github.scwang90:refresh-layout-kernel:2.0.5'      //核心必须依赖
    api 'io.github.scwang90:refresh-header-classics:2.0.5'    //经典刷新头
    api 'io.github.scwang90:refresh-footer-classics:2.0.5'    //经典加载

    api "de.hdodenhof:circleimageview:2.2.0"

    api 'com.github.LuckSiege.PictureSelector:picture_library:v2.6.0'

    api "com.github.tbruyelle:rxpermissions:0.12"

    api 'com.github.mcxtzhang:SuspensionIndexBar:V1.0.0'
    //金山云上传所需
    api 'joda-time:joda-time:2.9.9'
    api 'com.google.android:flexbox:2.0.1'
    //阿里支付
//    api(name: 'alipaySdk-15.6.4-20190611174359-noUtdid', ext: 'aar')
    api 'com.alipay.sdk:alipaysdk-android:+@aar'
    //微信
//    api 'com.tencent.mm.opensdk:wechat-sdk-android-with-mta:+'
    //圆角imageview
    api 'com.makeramen:roundedimageview:2.3.0'
    //lottie动画
    api 'com.airbnb.android:lottie:5.0.3'
    //webview
    api 'com.just.agentweb:agentweb:4.1.4'
    //bugly 统计
    api 'com.tencent.bugly:crashreport:3.2.33'
    api 'com.tencent.bugly:nativecrashreport:3.7.471'
    api 'com.gyf.immersionbar:immersionbar:3.0.0'
    api 'com.gyf.immersionbar:immersionbar-components:3.0.0'

    //友盟common
    api 'com.umeng.umsdk:common:9.4.0'
    api 'com.umeng.umsdk:asms:1.2.3'
    //友盟  分享
    api 'com.umeng.umsdk:share-core:7.1.6'//分享核心库，必选
    api 'com.umeng.umsdk:share-board:7.1.6'
    api 'com.umeng.umsdk:share-qq:7.1.6'
    api 'com.tencent.tauth:qqopensdk:3.53.0'//QQ官方SDK依赖库
    api 'com.umeng.umsdk:share-wx:7.1.6'
    api 'com.tencent.mm.opensdk:wechat-sdk-android-without-mta:6.7.9'//微信官方SDK依赖库
    api  'com.umeng.umsdk:share-sina:7.1.7'
    api 'io.github.sinaweibosdk:core:11.11.1@aar'
//    api 'com.sina.weibo.sdk:core:10.10.0'  不能用


    api project(path: ':camerakit')
    api 'org.java-websocket:Java-WebSocket:1.5.1'
    api project(path: ':midiplaylib')
    api 'org.greenrobot:eventbus:3.1.1'
}